
<script>
var last_x ;
function highlight(x)
{
    if ( last_x )
        last_x.style.background = '#FFF' ;
    last_x = document.getElementById(x) ;
    last_x.style.background = '#FF0' ;
}
function unhighlight(x)
{
    if ( last_x )
        last_x.style.background = '#FFF' ;
}
</script>
<style>
DIV[onmouseenter] { background: #8F8 }
DIV {
    border: 1px solid black ;
    margin-left: 1em ;
    margin-right: 2px ;
    margin-top: 2px ;
    margin-bottom: 2px ;
    display: inline-block ;
    vertical-align: top ;
    transition: background 1s ;
    background: #FFF ;
    }
K { color: #FFF ; background: #000 }
C { color: #FFF ; background: #00F }
</style>

<div id="TESTS.complex.Complex1"><b>Question 
TESTS.complex.Complex1
</b><br>
<k>question</k>
<div><b>ArgString A choice {CHOICE} = {alternative:attr}</b><br>
<div id="id87"><b>ChoiceAttr <c>CHOICE</c> negate=False 
id87
<k>_key</k></b><br>
Parent:
<div id="id84"><b>ChoiceItem <c>CHOICE</c> 
id84
</b><br>
Nothing selected<br>
Nothing to select from (unselecteds is empty)<br>
No item used<br>
</div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
<div id="id88"><b>ChoiceAttr <c>alternative:attr</c> negate=False 
id88
<k>attr</k></b><br>
Parent:
<div id="id89"><b>ChoiceItem <c>alternative</c> 
id89
</b><br>
Nothing selected<br>
Nothing to select from (unselecteds is empty)<br>
No item used<br>
</div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
<br>
<k>good</k>
<div><b>ArgString True</b><br>
</div>
<br>
<k>bad</k>
<div><b>ARGLIST</b><br>
<div><b>ArgString ==={CHOICE}===</b><br>
<div id="id86"><b>ChoiceAttr <c>CHOICE</c> negate=False 
id86
<k>_key</k></b><br>
Parent:
<div onmouseenter="highlight('id84')" onmouseleave="unhighlight()"><b>ChoiceItem CHOICE</b></div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
</div>
<br>
<k>_key</k>
<div><b>ArgString Complex1</b><br>
</div>
<br>
<k>first_day</k>
<div>0</div>
<br>
Choices:<br>
<div onmouseenter="highlight('id86')" onmouseleave="unhighlight()"><b>ChoiceAttr CHOICE:_key</b></div>
<br>
<div onmouseenter="highlight('id87')" onmouseleave="unhighlight()"><b>ChoiceAttr CHOICE:_key</b></div>
<br>
<div onmouseenter="highlight('id88')" onmouseleave="unhighlight()"><b>ChoiceAttr alternative:attr:attr</b></div>
<br>
</div>
<div onmouseenter="highlight('TESTS.complex.Complex1')" onmouseleave="unhighlight()"><b>Question TESTS.complex.Complex1</b></div>
<br>
({'time': 0.0, 'time_scale': 0.0, 'question': 'A choice mychoice6 = A choice mychoice6', 'choices': ['True', '===mychoice6===']}, [[0]], 'True')
<br>
<div id="TESTS.complex.Complex2"><b>Question 
TESTS.complex.Complex2
</b><br>
<k>question</k>
<div><b>ArgString A choice {CHOICE} = {ALTERNATIVE:attr}</b><br>
<div id="id91"><b>ChoiceAttr <c>CHOICE</c> negate=False 
id91
<k>_key</k></b><br>
Parent:
<div onmouseenter="highlight('id84')" onmouseleave="unhighlight()"><b>ChoiceItem CHOICE</b></div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
<div id="id92"><b>ChoiceAttr <c>ALTERNATIVE:attr</c> negate=False 
id92
<k>attr</k></b><br>
Parent:
<div id="id93"><b>ChoiceItem <c>ALTERNATIVE</c> 
id93
</b><br>
Nothing selected<br>
Nothing to select from (unselecteds is empty)<br>
No item used<br>
</div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
<br>
<k>good</k>
<div><b>ArgString True</b><br>
</div>
<br>
<k>bad</k>
<div><b>ARGLIST</b><br>
<div><b>ArgString ==={CHOICE}===</b><br>
<div id="id90"><b>ChoiceAttr <c>CHOICE</c> negate=False 
id90
<k>_key</k></b><br>
Parent:
<div onmouseenter="highlight('id84')" onmouseleave="unhighlight()"><b>ChoiceItem CHOICE</b></div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
</div>
<br>
<k>_key</k>
<div><b>ArgString Complex2</b><br>
</div>
<br>
<k>first_day</k>
<div>0</div>
<br>
Choices:<br>
<div onmouseenter="highlight('id90')" onmouseleave="unhighlight()"><b>ChoiceAttr CHOICE:_key</b></div>
<br>
<div onmouseenter="highlight('id91')" onmouseleave="unhighlight()"><b>ChoiceAttr CHOICE:_key</b></div>
<br>
<div onmouseenter="highlight('id92')" onmouseleave="unhighlight()"><b>ChoiceAttr ALTERNATIVE:attr:attr</b></div>
<br>
</div>
<div onmouseenter="highlight('TESTS.complex.Complex2')" onmouseleave="unhighlight()"><b>Question TESTS.complex.Complex2</b></div>
<br>
({'time': 0.0, 'time_scale': 0.0, 'question': 'A choice mychoice7 = A choice mychoice7', 'choices': ['True', '===mychoice7===']}, [[0]], 'True')
<br>
<div id="TESTS.animals.AnimalQuestion"><b>Question 
TESTS.animals.AnimalQuestion
</b><br>
<k>question</k>
<div><b>ArgString The {ANIMAL} {WHAT:text}:</b><br>
<div id="id36"><b>ChoiceAttr <c>ANIMAL</c> negate=False 
id36
<k>_key</k></b><br>
Parent:
<div id="id6"><b>ChoiceItem <c>ANIMAL</c> 
id6
</b><br>
Selected:
<div id="TESTS.animals.cat"><b>Item 
TESTS.animals.cat
</b><br>
<k>legs</k>
<div><b>ArgString 4 paws</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString fur</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString mices and fishes</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString cat</b><br>
</div>
<br>
Choices:<br>
</div>
<br>
Unselecteds:<br>
<div id="TESTS2.animals.crocodile"><b>Item 
TESTS2.animals.crocodile
</b><br>
<k>legs</k>
<div><b>ArgString 4 legs</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString leather</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString meat</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString crocodile</b><br>
</div>
<br>
Choices:<br>
</div>
<div id="TESTS.animals.bird"><b>Item 
TESTS.animals.bird
</b><br>
<k>legs</k>
<div><b>ArgString 2 wings</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString feather</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString seeds and insects</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString bird</b><br>
</div>
<br>
Choices:<br>
</div>
<div id="TESTS.animals.spider"><b>Item 
TESTS.animals.spider
</b><br>
<k>legs</k>
<div><b>ArgString 8 legs</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString hair</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString flies</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString spider</b><br>
</div>
<br>
Choices:<br>
</div>
<div id="TESTS.mythical.dragon"><b>Item 
TESTS.mythical.dragon
</b><br>
<k>legs</k>
<div><b>ArgString 2 wings and 4 legs</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString diamond scales</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString kings and queens</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString dragon</b><br>
</div>
<br>
Choices:<br>
</div>
<br>
Items used:<br>
<div onmouseenter="highlight('TESTS.animals.cat')" onmouseleave="unhighlight()"><b>Item TESTS.animals.cat</b></div>
<div id="TESTS.animals.horse"><b>Item 
TESTS.animals.horse
</b><br>
<k>legs</k>
<div><b>ArgString 4 hooves</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString fur</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString grass</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString horse</b><br>
</div>
<br>
Choices:<br>
</div>
<div id="TESTS.animals.shark"><b>Item 
TESTS.animals.shark
</b><br>
<k>legs</k>
<div><b>ArgString some fins</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString nothing</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString fishes</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString shark</b><br>
</div>
<br>
Choices:<br>
</div>
<div id="TESTS.animals.human"><b>Item 
TESTS.animals.human
</b><br>
<k>legs</k>
<div><b>ArgString 2 foots</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString hair</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString chocolate</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString human</b><br>
</div>
<br>
Choices:<br>
</div>
<div id="TESTS.animals.snail"><b>Item 
TESTS.animals.snail
</b><br>
<k>legs</k>
<div><b>ArgString 1 foot</b><br>
</div>
<br>
<k>cover</k>
<div><b>ArgString shell</b><br>
</div>
<br>
<k>eat</k>
<div><b>ArgString salad</b><br>
</div>
<br>
<k>_key</k>
<div><b>ArgString snail</b><br>
</div>
<br>
Choices:<br>
</div>
<br>
</div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
<div id="id37"><b>ChoiceAttr <c>WHAT:text</c> negate=False 
id37
<k>text</k></b><br>
Parent:
<div id="id35"><b>ChoiceItem <c>WHAT</c> 
id35
</b><br>
Nothing selected<br>
Nothing to select from (unselecteds is empty)<br>
No item used<br>
</div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
<br>
<k>good</k>
<div><b>ArgString {ANIMAL:{WHAT}}</b><br>
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceAttr ANIMAL:{WHAT}:WHAT</b></div>
<br>
</div>
<br>
<k>bad</k>
<div><b>ARGLIST</b><br>
<div><b>ArgString {!ANIMAL:{WHAT}}</b><br>
<div id="id32"><b>ChoiceAttr <c>!ANIMAL:{WHAT}</c> negate=True 
id32
<k>WHAT</k></b><br>
Parent:
<div onmouseenter="highlight('id6')" onmouseleave="unhighlight()"><b>ChoiceItem ANIMAL</b></div>
<br>
No Item selected<br>
No reuse.<br>
Attr indirection:
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceItem WHAT</b></div>
<br>
</div>
<br>
</div>
<div><b>ArgString {!ANIMAL:{WHAT}}</b><br>
<div id="id33"><b>ChoiceAttr <c>!ANIMAL:{WHAT}</c> negate=True 
id33
<k>WHAT</k></b><br>
Parent:
<div onmouseenter="highlight('id6')" onmouseleave="unhighlight()"><b>ChoiceItem ANIMAL</b></div>
<br>
No Item selected<br>
No reuse.<br>
Attr indirection:
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceItem WHAT</b></div>
<br>
</div>
<br>
</div>
<div><b>ArgString {!ANIMAL:{WHAT}}</b><br>
<div id="id34"><b>ChoiceAttr <c>!ANIMAL:{WHAT}</c> negate=True 
id34
<k>WHAT</k></b><br>
Parent:
<div onmouseenter="highlight('id6')" onmouseleave="unhighlight()"><b>ChoiceItem ANIMAL</b></div>
<br>
No Item selected<br>
No reuse.<br>
Attr indirection:
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceItem WHAT</b></div>
<br>
</div>
<br>
</div>
</div>
<br>
<k>_key</k>
<div><b>ArgString AnimalQuestion</b><br>
</div>
<br>
<k>first_day</k>
<div>0</div>
<br>
Choices:<br>
<div onmouseenter="highlight('id32')" onmouseleave="unhighlight()"><b>ChoiceAttr !ANIMAL:{WHAT}:WHAT</b></div>
<br>
<div onmouseenter="highlight('id33')" onmouseleave="unhighlight()"><b>ChoiceAttr !ANIMAL:{WHAT}:WHAT</b></div>
<br>
<div onmouseenter="highlight('id34')" onmouseleave="unhighlight()"><b>ChoiceAttr !ANIMAL:{WHAT}:WHAT</b></div>
<br>
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceAttr ANIMAL:{WHAT}:WHAT</b></div>
<br>
<div onmouseenter="highlight('id36')" onmouseleave="unhighlight()"><b>ChoiceAttr ANIMAL:_key</b></div>
<br>
<div onmouseenter="highlight('id37')" onmouseleave="unhighlight()"><b>ChoiceAttr WHAT:text:text</b></div>
<br>
</div>
<div onmouseenter="highlight('TESTS.animals.AnimalQuestion')" onmouseleave="unhighlight()"><b>Question TESTS.animals.AnimalQuestion</b></div>
<br>
({'time': 0.0, 'time_scale': 0.0, 'question': 'The spider is covered with:', 'choices': ['leather', 'shell', 'hair', 'fur']}, [[2]], 'hair')
<br>
<div id="TESTS.animals.negatives"><b>Question 
TESTS.animals.negatives
</b><br>
<k>question</k>
<div><b>ArgString Question</b><br>
</div>
<br>
<k>good</k>
<div><b>ArgString Answer</b><br>
</div>
<br>
<k>bad</k>
<div><b>ARGLIST</b><br>
<div><b>ArgString {!WHAT}</b><br>
<div id="id81"><b>ChoiceAttr <c>!WHAT</c> negate=True 
id81
<k>_key</k></b><br>
Parent:
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceItem WHAT</b></div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
<div><b>ArgString {!WHAT}</b><br>
<div id="id82"><b>ChoiceAttr <c>!WHAT</c> negate=True 
id82
<k>_key</k></b><br>
Parent:
<div onmouseenter="highlight('id35')" onmouseleave="unhighlight()"><b>ChoiceItem WHAT</b></div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
</div>
<br>
<k>_key</k>
<div><b>ArgString negatives</b><br>
</div>
<br>
<k>first_day</k>
<div>0</div>
<br>
Choices:<br>
<div onmouseenter="highlight('id81')" onmouseleave="unhighlight()"><b>ChoiceAttr !WHAT:_key</b></div>
<br>
<div onmouseenter="highlight('id82')" onmouseleave="unhighlight()"><b>ChoiceAttr !WHAT:_key</b></div>
<br>
</div>
<div onmouseenter="highlight('TESTS.animals.negatives')" onmouseleave="unhighlight()"><b>Question TESTS.animals.negatives</b></div>
<br>
({'time': 0.0, 'time_scale': 0.0, 'question': 'Question', 'choices': ['legs', 'Answer', 'eat']}, [[1]], 'Answer')
<br>
<div id="TESTS.complex.Complex3"><b>Question 
TESTS.complex.Complex3
</b><br>
<k>question</k>
<div><b>ArgString {ALTERNATIVE:attr} = {ALTERNATIVE2:attr}</b><br>
<div id="id94"><b>ChoiceAttr <c>ALTERNATIVE:attr</c> negate=False 
id94
<k>attr</k></b><br>
Parent:
<div onmouseenter="highlight('id93')" onmouseleave="unhighlight()"><b>ChoiceItem ALTERNATIVE</b></div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
<div id="id95"><b>ChoiceAttr <c>ALTERNATIVE2:attr</c> negate=False 
id95
<k>attr</k></b><br>
Parent:
<div id="id96"><b>ChoiceItem <c>ALTERNATIVE2</c> 
id96
</b><br>
Nothing selected<br>
Nothing to select from (unselecteds is empty)<br>
No item used<br>
</div>
<br>
No Item selected<br>
No reuse.<br>
No attr indirection<br>
</div>
<br>
</div>
<br>
<k>good</k>
<div><b>ArgString True</b><br>
</div>
<br>
<k>bad</k>
<div><b>ARGLIST</b><br>
<div><b>ArgString False</b><br>
</div>
</div>
<br>
<k>_key</k>
<div><b>ArgString Complex3</b><br>
</div>
<br>
<k>first_day</k>
<div>0</div>
<br>
Choices:<br>
<div onmouseenter="highlight('id94')" onmouseleave="unhighlight()"><b>ChoiceAttr ALTERNATIVE:attr:attr</b></div>
<br>
<div onmouseenter="highlight('id95')" onmouseleave="unhighlight()"><b>ChoiceAttr ALTERNATIVE2:attr:attr</b></div>
<br>
</div>
<div onmouseenter="highlight('TESTS.complex.Complex3')" onmouseleave="unhighlight()"><b>Question TESTS.complex.Complex3</b></div>
<br>
({'time': 0.0, 'time_scale': 0.0, 'question': 'A choice mychoice5 = A choice mychoice5', 'choices': ['False', 'True']}, [[1]], 'True')
<br>